/*
* Copyright (c) 2005-2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/

/**
 @file
 @internalComponent
*/

#include "devicestatetimer.h"

CUsbChargingDeviceStateTimer* CUsbChargingDeviceStateTimer::NewL(MUsbChargingDeviceStateTimerObserver& aObserver)
	{
	CUsbChargingDeviceStateTimer* self = new(ELeave) CUsbChargingDeviceStateTimer(aObserver);
	CleanupStack::PushL(self);
	self->ConstructL();
	CleanupStack::Pop(self);
	return self;
	}

CUsbChargingDeviceStateTimer::~CUsbChargingDeviceStateTimer()
	{
	Cancel();
	}

void CUsbChargingDeviceStateTimer::Start(TTimeIntervalMicroSeconds32 aTime)
	{
	After(aTime);
	}

void CUsbChargingDeviceStateTimer::ConstructL()
	{
	CTimer::ConstructL();
	CActiveScheduler::Add(this);
	}

CUsbChargingDeviceStateTimer::CUsbChargingDeviceStateTimer(MUsbChargingDeviceStateTimerObserver& aObserver)
: CTimer(EPriorityStandard), iObserver(aObserver)
	{
	}

void CUsbChargingDeviceStateTimer::RunL()
	{
	iObserver.DeviceStateTimeout();
	}

void CUsbChargingDeviceStateTimer::DoCancel()
	{
	CTimer::DoCancel();
	}
